## org.eclipse.datatools.connectivity.drivers.models
Class MySafeRunnable

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.models.MySafeRunnable

All Implemented Interfaces:
  org.eclipse.core.runtime.ISafeRunnable

    public class MySafeRunnable

extends java.lang.Object
implements org.eclipse.core.runtime.ISafeRunnable

Constructor Summary
`MySafeRunnable(CategoryDescriptor[] instance, org.eclipse.core.runtime.IConfigurationElement element)`
`MySafeRunnable(OverrideTemplateDescriptor[] instance, org.eclipse.core.runtime.IConfigurationElement element)`
`MySafeRunnable(TemplateDescriptor[] instance, org.eclipse.core.runtime.IConfigurationElement element)`

Method Summary
`void` `handleException(java.lang.Throwable exception)`
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySafeRunnable

    public MySafeRunnable(CategoryDescriptor[] instance,
                          org.eclipse.core.runtime.IConfigurationElement element)

### MySafeRunnable

    public MySafeRunnable(TemplateDescriptor[] instance,
                          org.eclipse.core.runtime.IConfigurationElement element)

### MySafeRunnable

    public MySafeRunnable(OverrideTemplateDescriptor[] instance,
                          org.eclipse.core.runtime.IConfigurationElement element)

Method Detail

### handleException

    public void handleException(java.lang.Throwable exception)

  Specified by:
    `handleException` in interface `org.eclipse.core.runtime.ISafeRunnable`

### run

    public void run()
             throws java.lang.Exception

  Specified by:
    `run` in interface `org.eclipse.core.runtime.ISafeRunnable`
  Throws:
    `java.lang.Exception`